Policies - List

List policies in a given policy set.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/policysets/{policySetName}/policies?api-version=2018-09-15
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/policysets/{policySetName}/policies?api-version=2018-09-15&$expand={$expand}&$filter={$filter}&$top={$top}&$orderby={$orderby}

URI Parameters

Name In Required Type Description
labName
path True

string

labs

policySetName
path True

string

policysets

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

$expand
query

string

Specify the $expand query. Example: 'properties($select=description)'

$filter
query

string

The filter to apply to the operation. Example: '$filter=contains(name,'myName')

$orderby
query

string

The ordering expression for the results, using OData notation. Example: '$orderby=name desc'

$top
query

integer (int32)

The maximum number of resources to return from the operation. Example: '$top=10'

Responses

Name Type Description
200 OK

PolicyList

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Policies_List

Sample request

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/policysets/{policySetName}/policies?api-version=2018-09-15

Sample response

{
  "value": [
    {
      "name": "{labName}",
      "type": "Microsoft.DevTestLab/labs/policySets/policies",
      "id": "/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/policysets/{policySetName}/policies/{policyName}",
      "location": "{location}",
      "properties": {
        "description": "{policyDescription}",
        "createdDate": "2018-10-01T18:40:48.1739018-07:00",
        "evaluatorType": "{policyEvaluatorType}",
        "factData": "{policyFactData}",
        "factName": "{policyFactName}",
        "provisioningState": "Succeeded",
        "status": "{policyStatus}",
        "threshold": "{policyThreshold}",
        "uniqueIdentifier": "{uniqueIdentifier}"
      },
      "tags": {
        "tagName1": "tagValue1"
      }
    }
  ]
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

Policy

A Policy.

PolicyEvaluatorType

The evaluator type of the policy (i.e. AllowedValuesPolicy, MaxValuePolicy).

PolicyFactName

The fact name of the policy (e.g. LabVmCount, LabVmSize, MaxVmsAllowedPerLab, etc.

PolicyList

The response of a list operation.

PolicyStatus

The status of the policy.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

Policy

A Policy.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The location of the resource.

name

string

The name of the resource

properties.createdDate

string (date-time)

The creation date of the policy.

properties.description

string

The description of the policy.

properties.evaluatorType

PolicyEvaluatorType

The evaluator type of the policy (i.e. AllowedValuesPolicy, MaxValuePolicy).

properties.factData

string

The fact data of the policy.

properties.factName

PolicyFactName

The fact name of the policy (e.g. LabVmCount, LabVmSize, MaxVmsAllowedPerLab, etc.

properties.provisioningState

string

The provisioning status of the resource.

properties.status

PolicyStatus

The status of the policy.

properties.threshold

string

The threshold of the policy (i.e. a number for MaxValuePolicy, and a JSON array of values for AllowedValuesPolicy).

properties.uniqueIdentifier

string

The unique immutable identifier of a resource (Guid).

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

The tags of the resource.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

PolicyEvaluatorType

The evaluator type of the policy (i.e. AllowedValuesPolicy, MaxValuePolicy).

Value Description
AllowedValuesPolicy
MaxValuePolicy

PolicyFactName

The fact name of the policy (e.g. LabVmCount, LabVmSize, MaxVmsAllowedPerLab, etc.

Value Description
UserOwnedLabVmCount
UserOwnedLabPremiumVmCount
LabVmCount
LabPremiumVmCount
LabVmSize
GalleryImage
UserOwnedLabVmCountInSubnet
LabTargetCost
EnvironmentTemplate
ScheduleEditPermission

PolicyList

The response of a list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

Policy[]

The Policy items on this page

PolicyStatus

The status of the policy.

Value Description
Enabled
Disabled

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.